/* 英雄区样式 */
    .hero-section {
        background: #fff url('../img/agi-bg-grid.jpg') top left /cover no-repeat;
    }

/* 章节通用样式 */
    .section-title {
        font-size: 2.5rem;
        font-weight: bold;
        position: relative;
        margin-bottom: 1rem;
        color: #222;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        flex-wrap: wrap;
        gap: 0.5rem;
    }
    .section-title > b.red {
        color: var(--red-main);
        font-weight: bold;
    }
    .section-title::before {
        content: '';
        flex: 0 0 1.2rem;
        height: 2px;
        background: var(--red-main);
        margin-right: 0.5rem;
    }
    .section-subtitle {
        color: #444;
        margin-bottom: 0;
        font-size: 1.3125rem;
        line-height: 1.25;
    }

/* Core Research Topics样式 */
    .MS-section {
        padding: 3rem 0 1rem;
    }
    .MS-section section:first-child {
        padding-bottom: 3rem;
    }
    .RT-section {
        padding: 3rem 0;
        background: #fafafa;
    }
    .topic-card {
        padding: 1.5rem;
        padding-top: 0.7rem;
        height: 100%;
    }
    .topic-card h5 {
        font-size: 1.5rem;
        font-weight: 700;
        margin: 0.2rem 0 0.5rem;
        color: #222;
    }
    .topic-card .topic-num span {
        font-size: 2.5rem;
        color: #D6D6D6;
        font-weight: bold;
        position: relative;
        font-family: 'Arial';
    }
    .topic-card .topic-num span::after {
        content: '';
        position: absolute;
        bottom: -4px;
        left: 0;
        width: 100%;
        height: 2px;
        background: var(--red-main);
    }
    .topic-card p {
        font-size: 1.1875rem;
        line-height: 1.25;
        color: #555;
        margin: 0;
    }

/*对应技术层 / 产品矩阵 / 资本应用场景样式*/
    .RSL-section {
        padding: 3rem 0!important;
    }
    .RSL-section div.row {
        margin: 0 -0.5rem;
    }
    .RSL-section div.row > [class*="col-"] {
        padding: 0 0.5rem;
    }
    .layer-tag-card {
        border: 1px solid #D6D6D6;
        padding: 0.5rem 1rem;
        background: #fff;
        display: flex;
        align-items: center;
        height: 100%;
    }
    .layer-tag-card:hover {
        border: 1px solid var(--red-main);
    }
    .layer-tag-card .layer-small-num {
        font-size: 1rem;
        color: var(--red-main);
        font-weight: 500;
        display: inline-block;
        margin-right: 0.5rem;
        position: relative;
        padding-right: 1rem;
        white-space: nowrap;
    }
    .layer-tag-card .layer-small-num::after {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        width: 1px;
        height: 100%;
        background: #D6D6D6;
    }
    .layer-tag-card span {
        font-size: 1.25rem;
        font-weight: bold;
        color: #222;
        padding: 1.2rem 0;
        line-height: 1.16;
    }
    .RA-section {
        padding: 3rem 0!important;
    }
    .RA-section .layer-tag-card {
        text-align: center;
        justify-content: center;
        padding: 1.5rem 1rem;
    }
    .RA-section .layer-tag-card a {
        display: block;
    }
    .RA-section .layer-tag-card:hover {
        border: 1px solid var(--red-main);
    }
    .RA-section .layer-tag-card:hover span {
        color: var(--red-main);
        cursor: pointer;
    }
    .CA-section {
        padding: 3rem 0!important;
    }
    .CA-section .layer-tag-card {
        border-top: 2px solid var(--red-main);
        height: 100%;
        text-align: center;
        justify-content: center;
    }
    .cta-section {
        padding: 3rem 0!important;
        background: #fafafa;
    }

/*===========中文配置============*/

/* 章节通用样式 */
    .inCN .section-title {
        font-size: 1.625rem;
        font-weight: 600;
        letter-spacing: 1px;
         line-height: 1.4;
    }
    .inCN .section-subtitle {
        line-height: 1.48;
        margin-top: 1rem;
    }

/* 核心研究題目样式 */
    /*.inCN .topic-card .topic-num span {
        font-size: 0.813rem;
    }*/
    .inCN .topic-card h5 {
        font-size: 1.25rem;
        font-weight: 600;
    }
    .inCN .topic-card p {
        line-height: 1.6;
        font-size: 1.063rem;
    }

/* 响应式适配 */
@media(max-width:768px) {
    .section-title {
        line-height: 1;
        font-size: 2rem;
    }
    .btn-group {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        width: 88%;
    }
    .btn-group button {
        white-space: normal;
    }
}
